summaryrefslogtreecommitdiffstats
path: root/games/gnubg/gnubg.SlackBuild
diff options
context:
space:
mode:
author Erik Hanson2010-05-13 00:26:26 +0200
committer Robby Workman2010-05-13 00:26:26 +0200
commit11f6bafbcd2a71ed48d596ebc0c5d9e5841fb6b5 (patch)
treedcde2ece13369bba4c171e12a781dd959b548f26 /games/gnubg/gnubg.SlackBuild
parent971596f5c35c82f9698c2866c16c7684cd6184eb (diff)
downloadslackbuilds-11f6bafbcd2a71ed48d596ebc0c5d9e5841fb6b5.tar.gz
games/gnubg: Updated for version 0.90.0_20091120
Diffstat (limited to 'games/gnubg/gnubg.SlackBuild')
-rw-r--r--games/gnubg/gnubg.SlackBuild31
1 files changed, 26 insertions, 5 deletions
diff --git a/games/gnubg/gnubg.SlackBuild b/games/gnubg/gnubg.SlackBuild
index 9dfe82b285..cc9a603e43 100644
--- a/games/gnubg/gnubg.SlackBuild
+++ b/games/gnubg/gnubg.SlackBuild
@@ -1,11 +1,30 @@
-#!/bin/sh -eu
-
+#!/bin/sh
+#
# Slackware build script for GNU Backgammon
-# Written by Erik Hanson erik@slackbuilds.org
+#
+# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=gnubg
VERSION=0.90.0
-SRCVER=20090501
+SRCVER=20091120
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -23,6 +42,8 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
+set -eu
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -61,4 +82,4 @@ cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}_${SRCVER}-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}_${SRCVER}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}